org.bdgenomics.adam.rdd.feature

# BEDOutFormatter

###
Related Doc: package feature

#### case class BEDOutFormatter() extends OutFormatter[Feature] with Product with Serializable

OutFormatter that reads streaming BED format.

Linear Supertypes
Product, Equals, OutFormatter[Feature], Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BEDOutFormatter
2. Product
3. Equals
4. OutFormatter
5. Serializable
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new BEDOutFormatter()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val bedParser: BEDParser

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

11. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### final def notify(): Unit

    Definition Classes
      AnyRef

13. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

14. #### def read(is: InputStream): Iterator[Feature]

    Reads features from an input stream in BED format.

    Reads features from an input stream in BED format.

    is

      An InputStream connected to the process we are piping from.

    returns

      Returns an iterator of Features read from the stream.

    Definition Classes
      BEDOutFormatter → OutFormatter

15. #### val stringency: ValidationStringency

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from OutFormatter[Feature]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped